@echo off
:: -- FILE ------------------------------------------------------------------
:: name       : bzjavaw.bat
:: project    : BoarderZone: Applications
:: created    : Leon Poyyayil - 2015-04-02
:: language   : Win32 cmd line
:: environment: Win32
:: copyright  : (c) 1990-2023 by Leon Poyyayil (private), Switzerland
:: license    : this is free software licensed under the GPL. see COPYING
:: --------------------------------------------------------------------------


:: PURPOSE:
:: ========
:: executes a java application with additional java specific options and thus
:: provides a single point where the invocation of java can be customized for
:: all BoarderZone swing applications.


setlocal


set BZ_JAVA_OPTS=
rem set BZ_JAVA_OPTS=%BZ_JAVA_OPTS% -Xmx384m
rem set BZ_JAVA_OPTS=%BZ_JAVA_OPTS% -Djava.security.manager
rem set BZ_JAVA_OPTS=%BZ_JAVA_OPTS% -Djava.security.policy="%~dp0\conf\bz.policy"
rem set BZ_JAVA_OPTS=%BZ_JAVA_OPTS% -Djava.security.debug=policy,access,failure

rem enable logging to the console if log4j.jar is missing by uncommenting the
rem the line below (can be one of: log4j, jdk, console, single, none (or a fully
rem qualified class name available in the classpath))
rem set BZ_JAVA_OPTS=%BZ_JAVA_OPTS% -Dnet.boarderzone.util.LoggerFactory=console


start /min javaw %BZ_JAVA_OPTS% %*


:: -- EOF -------------------------------------------------------------------
