// -- FILE ------------------------------------------------------------------
// name       : ${class}.java
// project    : ${project}
// created    : ${author} - ${class.created}
// language   : java
// environment: JDK 1.8.0
// copyright  : (c) 1990-2023 by Leon Poyyayil (private), Switzerland
// license    : this is free software licensed under the GPL. see COPYING
// --------------------------------------------------------------------------
${package}${import.list}

// -- CLASS -----------------------------------------------------------------
/** Automatically generated class for the type <i>${type}</i>
of schema <b>${schema}</b>.
@author   ${author}
@version  ${version}
@since    ${class.since}${class.generic.doc}
*///-------------------------------------------------------------------------
public ${abstract}class ${class}${class.generic.decl}${extends}${base}${base.generic.decl}${implements}${interfaces} {


// -- METHOD ----------------------------------------------------------------
/** Creates a new instance with reset values.
@since    ${class.since}
*///-------------------------------------------------------------------------
${ctor.access} ${class}()
{${member.instantiate.list}
} // ${class}

${ctor}
// -- METHOD ----------------------------------------------------------------
/** Creates a new instance with initialized values.
@since    ${class.since}
@param    pbInitialize whether to initialize the member data
*///-------------------------------------------------------------------------
${ctor.access} ${class}(
  final boolean pbInitialize
)
{
  if ( pbInitialize ) {
    initialize();
  }
} // ${class}


// -- METHOD ----------------------------------------------------------------
/** Creates a new instance with the same values as a template object.
Initializes the members to the values of the given template object.
Performs a deep copy.
@since    ${class.since}
@param    pCopy the object to obtain the member values from (template object)
*///-------------------------------------------------------------------------
${ctor.access} ${class}(
  final ${class} pCopy
)
{${member.copy.base}
  copyPrivate( pCopy );
} // ${class}

${duplicate}${accessors}${comparators}${collection}${methods-base}${methods-derived}
// -- METHOD ----------------------------------------------------------------
/** Assigns all data members using a deep copy, keeping references independent.
@since    ${class.since}
@param    pCopy the data to assign
*///-------------------------------------------------------------------------
private void copyPrivate(
  final ${class} pCopy
)
{${member.assignment.list}
} // copyPrivate

${member.suid}${members}
} // class ${class}
// --------------------------------------------------------------------------


// -- EOF -------------------------------------------------------------------
